Ubuntu

SRU: libgpod needs autoreconf during build

Reported by Chow Loong Jin on 2011-04-27
14
This bug affects 2 people
Affects Status Importance Assigned to Milestone
banshee (Ubuntu)
Undecided
Unassigned
Natty
Undecided
Unassigned
libgpod (Ubuntu)
Undecided
Chow Loong Jin
Natty
Undecided
Unassigned

Bug Description

  affects ubuntu/libgpod
  status inprogress
  assignee hyperair

libgpod 0.8 has been carrying a patch that works around an issue in the
alignment of double values, causing gnome-bug #648600[1].

However, while the patch applied, the changes had not actually propagated to the
autofoo build system as autoreconf was not called.

[1] https://bugzilla.gnome.org/show_bug.cgi?id=648600

Steps to test:
1. Use gtkpod to upload m4v videos to an iPod
2. Use Banshee to sync with a playlist that doesn't contain videos.
3. Check if Banshee throws up a warning about the removal of the video files. If it doesn't, this bug is fixed.

--
Kind regards,
Loong Jin

Changed in libgpod (Ubuntu):
milestone: none → natty-updates
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgpod - 0.8.0-3

---------------
libgpod (0.8.0-3) unstable; urgency=low

  * [d3ab740] Add autoreconf during build (LP: #772089)
 -- Chow Loong Jin <email address hidden> Mon, 02 May 2011 13:13:22 +0000

Changed in libgpod (Ubuntu):
status: In Progress → Fix Released
Chow Loong Jin (hyperair) wrote :

Adding a Banshee task, since we need a rebuild of Banshee for the libgpod patch to go through.

Changed in banshee (Ubuntu):
status: New → In Progress
Changed in libgpod (Ubuntu Natty):
milestone: none → natty-updates
Changed in banshee (Ubuntu Natty):
milestone: none → natty-updates
Changed in banshee (Ubuntu):
status: In Progress → Fix Released

Attached is a debdiff for natty-proposed.

  subscribe ubuntu-sru
  subscribe ubuntu-sponsors

--
Kind regards,
Loong Jin

Stéphane Graber (stgraber) wrote :

As 0.8.0-3 already exists in oneiric. Uploaded to natty-proposed as 0.8.0-2ubuntu0.1.

Thanks!

Changed in libgpod (Ubuntu Natty):
status: New → Fix Committed

Accepted libgpod into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

tags: added: verification-needed
Chow Loong Jin (hyperair) wrote :

Looking at the build log of libgpod, it looks like we've gotten the -define:ALIGNMENT_X86_LINUX flag while compiling, but to test, we need a rebuild of Banshee.

Clint Byrum (clint-fewbar) wrote :

Accepted banshee into natty-proposed, the package will build now and be available in a few hours. Please test and give feedback here. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation how to enable and use -proposed. Thank you in advance!

Changed in banshee (Ubuntu Natty):
status: New → Fix Committed
description: updated
Forage (forage) wrote :

The new version of libgpod is now available in natty-proposed. I would have expected the same for Banshee by now but this isn't the case. Is something going wrong or is there still something that needs to be done?

On 29/06/2011 23:51, Forage wrote:
> The new version of libgpod is now available in natty-proposed. I would
> have expected the same for Banshee by now but this isn't the case. Is
> something going wrong or is there still something that needs to be done?
>

The version of Banshee you should be looking for is 2.0.0-0ubuntu2. It's up on
the Singapore mirror already, but it may take a while to trickle down to the
Ubuntu archives mirror you're using.

See https://launchpad.net/ubuntu/+source/banshee/2.0.0-2ubuntu2 for more
information.

--
Kind regards,
Loong Jin

Forage (forage) wrote :

Fixed confirmed. Movies are correctly identified again as movies by Banshee and not as music.

tags: added: verification-done
removed: verification-needed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package banshee - 2.0.0-2ubuntu2

---------------
banshee (2.0.0-2ubuntu2) natty-proposed; urgency=low

  * Rebuild against new libgpod (LP: #772089)
 -- Chow Loong Jin <email address hidden> Mon, 27 Jun 2011 19:07:05 +0800

Changed in banshee (Ubuntu Natty):
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package libgpod - 0.8.0-2ubuntu0.1

---------------
libgpod (0.8.0-2ubuntu0.1) natty-proposed; urgency=low

  * [d3ab740] Add autoreconf during build (LP: #772089)
 -- Chow Loong Jin <email address hidden> Thu, 28 Apr 2011 08:04:53 +0800

Changed in libgpod (Ubuntu Natty):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers